#version 330 core

in vec2 UV;

out vec3 color;

uniform sampler2D startTexture;
uniform sampler2D bloomTexture;

void main(){
	vec3 src  = texture( startTexture, UV).xyz;
	vec3 dest =	texture( bloomTexture, UV).xyz;
	
	
	color  = src+dest;

	//color = (src + dest) - (src * dest);

	//color = smoothstep(src,vec3(1),(src+dest));
}