#version 330 core

in vec2 UV;

out vec4 color;

uniform sampler2D renderedTexture;
const vec4 T = vec4(0.6,0.6,0.6,1);

void main(){
	color = texture( renderedTexture, UV);
	//heavy bloom
	//color.x = color.x > T.x ? color.x : 0.0;
	//color.y = color.y > T.y ? color.y : 0.0;
	//color.z = color.z > T.z ? color.z : 0.0;
	//color.w = color.w;

	color = max(color-T,vec4(0));

}